#!/usr/local/bin/python
# Stupid little hack to find a location in the filesystem...
#
# If you need to figure out what location a script is running in,
# put THIS module in the same dir, import it, and then call it's 
# getLocation() function to get the directory name (absolute)
#
# This *should* work, regardless of:
#   - where the script was called from
#   - if the script was called via typing an absolute or relative path,
#   - if the script was found because it was in the environment's PATH,
#   - symlinks...
#
# This is ugly(ish), but it's the only thing I've found that works
# regardless of ALL those conditions, without jumping through lots 
# of flaming hoops.
#
# I haven't tested, but I think it will work on all platforms python
# works on, because it leverages the import infrastructure.

location = None

def getLocation():
    global location
    if not location:
        import sys, os.path
        location = os.path.dirname(sys.modules[__name__].__file__)
    return location

